﻿html, body {
    height: 100%;
    /*text-align: center;*/
    font-size: 14px;
    /*font-family: 'Century Gothic', CenturyGothic, AppleGothic, sans-serif !important;*/
    /*font-family: 'Arial',Helvetica Neue,Helvetica,sans-serif;*/
    /*font-family: Tahoma, Verdana, sans-serif;*/
    font-family: Arial, sans-serif;
    /*font-family: Verdana, sans-serif;*/
    -webkit-font-smoothing: antialiased;
    /* background-color: #cdcdcd; */
    margin: 0;
    overflow-y: hidden;
}


ul {
    list-style-type: none;
    padding-left: 0px;
}

li {
    list-style-type: none;
}

.fc-widget-content {
    height: 60px !important;
    line-height: 60px;
    height: 30px !important;
    line-height: 30px;
}

.fc-timeline-event {
    height: 59px !important;
    line-height: 29px !important;
    height: 28px !important;
    line-height: 15px !important;
    border: 1px solid #888 !important;
}

.UnassignedJob {
    height: 58px;
    line-height: 20px;
    /*border-radius: 3px;*/
    /*border: 1px solid #999;*/
    background-color: #777;
    /*padding: 3px;*/
    z-index: 99;
    cursor: pointer;
    margin: 5px;
    color: #fff;
    margin-bottom: 8px;
}

    .UnassignedJob:hover {
        /*background-color: #f00;*/
        opacity: 0.7;
    }

    .UnassignedJob:focus {
        opacity: 0.5;
    }

.JobListItemDetailArea {
    padding: 3px;
    width: 93%;
}

    .JobListItemDetailArea:focus {
        outline-width: 0;
    }

.JobsListRelative {
    position: relative;
}

.JobsListFixed {
    position: fixed;
    top: 0px;
    max-height: 86vh;
}

.OnHoldUnassignedJob {
    background-color: #B77 !important;
    border: 1px solid #C99 !important;
}

.JobHeadingJobNo {
    font-weight: bold;
    float: left;
    z-index: 100;
    display: block;
    width: 93%;
    max-height: 20px;
    overflow: hidden;
}

.JobHeadingCustomerName {
    /*float: right;*/
    /*clear: both;*/
    display: block;
    float: left;
    z-index: 100;
    width: 93%;
}

.JobDescription {
    display: block;
    clear: both;
    z-index: 100;
}

.SectionHeading {
    background-color: rgba(25, 118, 210, 0.8);
    color: #fff;
    /*font-size: 1.6em;*/
    height: 40px;
    line-height: 40px;
    width: 100%;
    margin: 0;
    user-select: none;
}

    .SectionHeading h3, h2 {
        margin: 0px;
        padding-left: 20px;
        text-align: left;
    }

.fc-toolbar {
    background-color: rgba(25, 118, 210, 0.8);
    color: #fff;
    /*font-size: 1.6em;*/
    height: 40px;
    line-height: 40px;
    width: 100%;
    margin: 0;
}

    .fc-toolbar button {
        margin-top: 5px !important;
    }

#calendar .fc-button-group {
    margin-right: .75em;
}

#JobInformationArea {
    text-align: left;
    width: calc(100% - 20px);
    padding-top: 5px;
    padding-left: 20px;
    /* max-height: 81vh; */
    /* overflow-y: hidden; */
    clear: both;
    overflow-y: scroll;
    height: 90.5vh;
}

.JobInfoElement {
    margin-bottom: 3px;
    width: 84%;
    float: left;
    clear: both;
    display: block;
}

    .JobInfoElement label, textarea {
        background-color: #FFF;
        float: left;
        width: 100%;
        padding: 5px;
        /*border: solid 1px #ABADB3;*/
        display: block;
    }

    .JobInfoElement div {
        float: left;
        width: 100%;
        /*border: solid 1px #ABADB3;*/
        display: block;
    }

.JobMemo {
    margin-bottom: 3px;
    padding: 0 !important;
    font-size: 10pt;
}

.JobMemoUsername {
    float: left;
    font-weight: 600;
    color: #444;
}


.JobMemoContent {
    float: left;
    display: block;
}

.JobInfoElementTitle {
    float: left;
    padding: 5px;
    border: 1px solid #eee;
    font-weight: bold;
    font-size: 14px;
    color: #444;
    user-select: none;
}

#JobSearchArea {
    /*height: 66px;*/
    width: 97%;
    padding-left: 5px;
}

.JobSearchAreaControl {
    margin-top: 5px;
    /* width: 87%; */
    height: 20px;
    font-size: 14px;
    line-height: 26px;
    padding: 10px;
}

.JobSearchAreaDropDownControl {
    float: left;
    width: 94%;
    padding: 10px;
}

    .JobSearchAreaDropDownControl select {
        width: 100%;
    }

#JobSortOrder {
    /*float: right;*/
    width: 45%;
    height: 26px;
    font-size: 14px;
}

#JobSearch {
    width: 60%;
    float: left;
    height: 20px;
    font-size: 14px;
}

.ContextMenuClass {
    z-index: 1000;
    background-color: #fff0f5;
    text-align: left;
}

#LoginScreen {
    position: fixed;
    top: calc(50% - 125px);
    left: calc(50% - 150px);
    z-index: 2000;
    width: 300px;
    height: 250px;
    border: 1px solid #ababab;
}

#NewJobScreen {
    position: fixed;
    top: calc(50% - 380px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    /*height: 680px;*/
    padding: 0px !important;
    border: 1px solid #ababab;
}

#AlterAllocationDurationScreen {
    position: fixed;
    top: 150px;
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    /*height: 470px;*/
    padding: 0px;
    border: 1px solid #ababab;
}

#CreateBookingScreen {
    position: fixed;
    top: 150px;
    left: calc(50% - 600px);
    z-index: 2000;
    width: 1200px;
    min-height: 580px;
    padding: 0px;
    border: 1px solid #ababab;
}

#CreateMemoScreen {
    position: fixed;
    top: calc(50% - 75px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    height: 170px;
    padding: 0px;
    border: 1px solid #ababab;
}

#TextEntryDialog {
    position: fixed;
    top: calc(50% - 75px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    height: 170px;
    padding: 0px;
    border: 1px solid #ababab;
}

#DoubleTextEntryDialog {
    position: fixed;
    top: calc(50% - 175px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    height: 280px;
    padding: 0px;
    border: 1px solid #ababab;
}

#TextReminderDialog {
    position: fixed;
    top: calc(50% - 75px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    height: 170px;
    padding: 0px;
    border: 1px solid #ababab;
}

#TextEntryAddButton {
    float: right;
}

#TextEntryCancelButton {
    float: right;
}

#ConfirmActionScreen {
    position: fixed;
    top: calc(50% - 75px);
    left: calc(50% - 250px);
    z-index: 2000;
    width: 500px;
    height: 170px;
    padding: 0px;
    border: 1px solid #ababab;
}

#GreyOut {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #dcdcdc;
    z-index: 1500;
    opacity: 0.5;
}

.LoginFormElement {
    margin-top: 15px;
    width: 95%;
}

.LoginFormElementControl {
    float: right;
}

.FormElement {
    float: left;
    margin: 10px;
    width: 450px;
    text-align: left;
}

.FormElementControl {
    float: right;
    width: 280px;
}

.DuddyFormElementControl {
    float: right;
    width: 290px;
}

.ButtonFormElementControl {
    float: right;
}



.FormFooterControl {
    float: left;
}


.JobHeadingCustomerName {
    line-height: 15px;
}

.PullDown {
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 20px solid #f00;
    float: right;
    background-color: #fff;
}


#NotificationBar {
    height: 30px;
    width: 100%;
    position: absolute;
    bottom: 0%;
    left: 0;
    background-color: rgba(220,220,220, 0.9);
    text-align: left;
    line-height: 30px;
    font-size: 14px;
    position: fixed;
    z-index: 500;
}

#NotificationContent {
    text-align: left;
    padding-left: 10px;
}

.JobListClockIcon {
    float: right;
    margin-top: 2px;
    margin-right: 4px;
}

.CalendarClockIcon {
    float: right;
    margin-right: 4px;
}

.FetchingNewJobsHeading {
    width: 100%;
    height: 40px;
    line-height: 40px;
    font-size: 16pt;
    text-align: center;
}

#JobInfo_JobMemos {
    /*height: 200px;*/
    /*overflow-y: hidden;
    overflow-x: hidden;*/
    margin-bottom: 30px;
}

#LoginScreenStatus {
    margin-left: auto;
    margin-right: auto;
    float: none;
}

button, input[type=button] {
    background-color: #1976D2 !important;
    color: #fff !important;
    text-shadow: none !important;
    font-weight: 600 !important;
    border: none;
    padding: 5px 10px !important;
    margin-right: 5px;
    font-family: 'Century Gothic', CenturyGothic, AppleGothic, sans-serif;
    border-radius: 0 !important;
    background-image: none !important;
}

    button:hover, input[type=button]:hover {
        background-color: rgba(25, 118, 210, 1) !important;
    }

    button:disabled, input[type=button]:disabled {
        background-color: #f0fff0;
    }


select, input, option {
    font-family: 'Arial';
}

#CreateJobButton {
    margin-right: 0px !important;
    float: right;
}

.fc-cell-text {
    color: #444;
}

#AddNewMemo {
    margin-right: 0;
    float: right;
}

.ModalDialog {
    background-color: #eee;
}

    .ModalDialog input, select, textarea {
        background-color: #FFF;
        padding: 0px;
        border: 0;
        padding: 5px;
    }


#CreateMemoScreenCancelButton {
    float: right;
}

#CreateMemoScreenAddButton {
    float: right;
}

.FormElementControlReadOnly {
    width: 280px;
    float: right;
    font-weight: normal;
}

#SchedulerHeader {
    height: 40px;
    width: 100%;
    background-color: #1976D2;
    margin-bottom: 2px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

#HeadingTeamSelectionDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

    #HeadingTeamSelectionDiv label {
        font-weight: 600;
        font-size: 13.33px;
    }

#TeamSelectionDropdown {
    width: 250px;
}

.HeadingSelectionDropdown {
    width: 250px;
}

#HeadingBranchSelectionDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

#HeadingSecondaryBranchSelectionDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

#HeadingDepartmentSelectionDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

#HeadingGroupSelectionDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

#DateQuickLinks {
    width: 100%;
    height: 43px;
    /*background-color: #0f0;*/
    overflow: auto;
}

    #DateQuickLinks :hover {
        background-color: rgba(25, 118, 210, 1);
        color: #fff;
        cursor: pointer;
    }

.DateQuickLinkButton {
    float: left;
    margin-top: 2px;
    width: calc(100%/28);
    box-sizing: border-box;
    border-right: 1px solid #dcdcdc;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    user-select: none;
}

.DateQuickLinkButtonSelected {
    background-color: rgba(25, 118, 210, 1) !important;
    color: #fff;
}

    .DateQuickLinkButtonSelected :hover {
        background-color: rgba(25, 118, 210, 1) !important;
    }

.DateQuickLinkButtonNoRightBorder {
    border-right: 0;
}

.DateQuickLinkButtonHasAllocations {
    border-bottom: 2px solid #8B1A1A;
}

.DateQuickLinkDayName {
    font-size: 10pt;
    display: block;
    text-align: center;
}

.DateQuickLinkDateNumber {
    font-size: 14pt;
    text-align: center;
    display: block;
}

.TagArea {
    height: 40px;
    background-color: #fff;
    height: 100%;
    min-height: 31px;
}

#NewJobTags {
    width: 290px;
}

.NewOrderTag {
    background-color: #dcdcdc;
    padding: 3px;
    float: left;
    margin: 4px;
    width: auto !important;
}

.NewOrderTagCloseButton {
    padding-left: 3px;
    cursor: pointer;
}

.fc-toolbar {
    margin-bottom: .2em !important;
}

#NewCustomerScreen {
    position: fixed;
    top: calc(50% - 380px);
    left: calc(50% - 490px);
    z-index: 2000;
    width: 980px;
    height: 680px;
    padding: 0px;
    text-align: left;
    border: 1px solid #ababab;
}

.NewCustomerTypeOption {
    width: 250px;
    height: 30px;
    float: left;
    background-color: #fff;
    line-height: 29px;
    border: 1px solid #000;
    margin: 2px;
    cursor: pointer;
    text-align: center;
}

#NewCustomerScreenHeader {
    padding: 10px;
}

#NewCustomerCompanyHeader {
    float: left;
    padding: 10px;
}

#NewCustomerIndividualHeader {
    float: left;
    padding: 10px;
}

.SelectedNewCustomerTypeButton {
    background-color: #2323ff;
    color: #fff;
}

#NewCustomerPostalAddress {
    float: left;
    padding: 10px;
}

#NewCustomerSiteAddress {
    float: left;
    padding: 10px;
}

#NewCustomerScreenControlButtons {
    width: 130px;
}

#NewCustomerSameAddressCheckbox {
    float: none;
    width: 20px;
}

.user-name-listing {
    font-weight: bold;
}

.user-skill-listing {
    display: block;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
    width: 140px;
    line-height: 20px;
    margin-top: -10px;
    padding-left: 10px !important;
    font-style: italic;
    font-size: 12px;
}

#HeadingSkillSearchDiv {
    float: left;
    padding: 6px;
    color: #fff;
}

    #HeadingSkillSearchDiv label {
        font-weight: 600;
        font-size: 13.33px;
    }

#SkillSearchInput {
    padding: 5px;
}

#CreateMemoScreenText {
    resize: none;
}

.CompletedJob {
    background-color: #55a955 !important;
    border-color: #55a955 !important;
}

#JobsToDisplayToggle {
    padding: 15px;
    user-select: none;
}

    #JobsToDisplayToggle label {
        font-size: 0.9em !important;
        width: 32%;
    }

    #JobsToDisplayToggle .ui-state-active {
        background: none !important;
        background-color: rgba(25, 118, 210, 1) !important;
        color: #fff;
    }

    #JobsToDisplayToggle input[type="radio"]:checked + label {
        background: none !important;
        background-color: rgba(25, 118, 210, 1) !important;
        color: #fff !important;
    }



.HighlightedJob {
    /*border: 2px solid yellow !important;*/
    background-color: rgb(105, 157, 255) !important;
}

.expandybutton {
    margin-left: 10px !important;
}

#JobListRefreshButton {
    float: right;
    margin-top: 5px;
}

.JobStatusIndicator {
    clear: both;
    width: 25px;
    height: 100%;
    float: right;
    /*margin: -3px;*/
}

#FilterDropDownArea {
    width: 100%;
    display: block;
}

#ToggleFilterDropDownArea {
    float: right;
}

.WaitingButton {
    background-color: #dcdcdc !important;
}

#JobInfo_Description {
    height: 100px;
}

.ui-state-focus {
    font-weight: normal !important;
}

#LogoutButton {
    padding: 7px;
    float: right;
    display: flex;
    justify-content: flex-end;
}

#wrap {
    width: 100%;
    min-width: 1400px;
}

#external-events {
    float: left;
    width: 20%;
    border-left: 2px solid #fff;
    border-right: 2px solid #fff;
    background: #eee;
    text-align: left;
    position: fixed;
    right: 20%;
    height: calc(100vh - 42px);
}

    #external-events h4 {
        font-size: 16px;
        margin-top: 0;
        padding-top: 1em;
    }

    #external-events .fc-event {
        margin: 10px 0;
        cursor: pointer;
    }

    #external-events p {
        margin: 1.5em 0;
        font-size: 11px;
        color: #666;
    }

        #external-events p input {
            margin: 0;
            vertical-align: middle;
        }

#Details {
    float: left;
    width: 20%;
    background-color: #eee;
    position: fixed;
    right: 0px;
    overflow-x: hidden;
    height: calc(100vh - 42px);
}

@media only screen and (max-height: 1000px) {
    #JobInformationArea {
        height: 90vh;
    }
}

#CalendarWrapper {
    float: left;
    width: 59%;
    background-color: #fff;
    /* height: 93vh; */
    height: calc(100vh - 85px);
    position: relative;
}

@media only screen and (min-width: 1600px) {
    #CalendarWrapper {
        width: 60%;
    }
}

@media only screen and (max-height: 800px) {
    #JobInformationArea {
        height: 88vh;
    }

    #CalendarWrapper {
        width: 58.5%;
    }
}



#TradieHeader {
    height: 28px;
    margin-right: 10px;
    float: left;
}

#ClearSearchButton {
    margin-right: 0;
}


#TheJobs {
    max-height: 81vh;
    /*overflow-y: hidden;*/
    overflow-x: hidden;
    clear: both;
}

.OverflowHidden {
    overflow: hidden;
}

.TextIcon {
    color: #8B1A1A;
    float: right;
    font-size: 14pt;
    cursor: pointer;
    background-color: #fff;
    padding: 2px;
}


.fc-highlight {
    opacity: .7 !important;
}


#UserMapHideButton {
    float: right;
    margin-top: 10px;
    margin-right: 10px;
}

#UserMapLastSeen {
    float: left;
    margin-left: 10px;
    margin-top: 10px;
}

#UserMapShowWholeTeam {
    position: absolute;
    z-index: 200;
    float: right;
    right: 10px;
    top: 40px;
}

#UserMapTrackUserForDate {
    position: absolute;
    z-index: 200;
    float: right;
    right: 10px;
    top: 10px;
}

.JobDetailsRelative {
    max-height: 93vh;
    position: relative;
}

.JobDetailsFixed {
    position: fixed;
    top: 0px;
    max-height: 96vh;
}

.JobDetailsAllocationItem {
    background-color: #FFF;
    float: left;
    width: 100%;
    padding: 5px;
    border-bottom: solid 1px #EEE;
    display: block;
}

#JobDetailsAllocations :hover {
    cursor: pointer;
    background-color: #dcdcdc;
}

.FloatRight {
    float: right;
}

#JobDetailsAllocationQuantity {
    width: 50%;
}

#ShowHideAllocations {
    margin-right: -5px;
    float: right;
}

.ResourceHoursNumber {
    background-color: rgba(25, 118, 210, 1);
    color: #fff;
    width: 40px;
    text-align: center;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    position: absolute;
    z-index: 999;
    margin-top: 6px;
    line-height: 30px;
}

.ResourceHoursNumberOverTime {
    background-color: #8C183B;
}

.WhiteTextBlueBackground {
    background-color: #1976D2 !important;
    color: #fff !important;
}

.FormCollapsableHeader {
    width: 100%;
    float: right;
    padding: 3px;
}

.SelectableStaffMember {
    width: 95%;
    float: left;
    display: block;
    padding: 1px;
    font-weight: normal;
}

    .SelectableStaffMember:hover {
        background-color: #1976D2 !important;
        color: #fff !important;
        cursor: pointer;
    }

.SelectedStaffMember {
    background-color: #656565 !important;
    color: #fff !important;
    font-weight: normal;
}

#CreateBookingStaffArea {
    position: relative;
    overflow-y: scroll;
    width: 100%;
    text-align: left;
    height: 350px;
}

#CreateBookingEquipmentArea {
    position: relative;
    overflow-y: scroll;
    width: 100%;
    text-align: left;
    height: 350px;
}

.FixedHeightDiv {
    height: 140px;
}

#CreateBookingLeftSide {
    float: left;
    width: 550px;
}

#CreateBookingRightSide {
    float: right;
}

#CreateBookingRightSideContentWrapper {
    float: left;
    padding: 10px;
}

#CreateBookingUserListContainer {
    float: left;
    width: 300px;
}

.CreateBookingSelectedStaffMember {
    font-weight: normal;
    height: 80px;
    overflow: auto;
}

#CreateBookingEquipmentListContainer {
    float: left;
    width: 300px;
}

.PopOutIcon {
    position: absolute;
    right: 7px;
    top: 7px;
}

.CreateBookingSearchBox {
    width: 100%;
    float: left;
    margin-left: -6px;
    border: 1px solid #dcdcdc;
}

#CreateBookingJobCode {
    width: 280px;
}

    #CreateBookingJobCode option {
        width: 500px;
    }

#CreateBookingEquipmentSearchFilter {
    padding: 4px;
}

/* Main Calendar Scroller */
.fc-scroller::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    /*border-radius: 6px;*/
    background-color: #F5F5F5;
}

.fc-scroller::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

.fc-scroller::-webkit-scrollbar-thumb {
    /*border-radius: 6px;*/
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rgba(25, 118, 210, 1);
}

/* Jobs List Scroller */
#TheJobs::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    /*border-radius: 6px;*/
    background-color: #F5F5F5;
}

#TheJobs::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

#TheJobs::-webkit-scrollbar-thumb {
    /*border-radius: 6px;*/
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rgba(25, 118, 210, 1);
}

/* Job Details Scroller */
#JobInformationArea::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    /*border-radius: 6px;*/
    background-color: #F5F5F5;
}

#JobInformationArea::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

#JobInformationArea::-webkit-scrollbar-thumb {
    /*border-radius: 6px;*/
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rgba(25, 118, 210, 1);
}

/* Hamburger Menu */
#HamburgerMenu {
    height: 100%;
    width: 340px;
    background-color: rgba(25, 118, 210, 1);
    color: #fff;
    position: fixed;
    right: 0px;
    top: 0px;
    z-index: 900;
    display: none;
}

#HamburgerHeading {
    padding-left: 15px;
    height: 40px;
    border-bottom: 2px solid #fff;
    width: 100%;
}

    #HamburgerHeading i {
        font-size: larger;
        color: #fff;
        padding-top: 13px;
        float: left;
        padding-right: 10px;
        padding-left: 2px;
    }

#HamburgerLogo {
    padding-top: 7px;
    float: left;
}

.HamburgerMenuDivider {
    width: 310px;
    height: 1px;
    margin: 15px;
    background-color: #eee;
    top: 60px;
    position: absolute;
}

.HamburgerMenuItem {
    font-family: 'Century Gothic', CenturyGothic, AppleGothic, sans-serif !important;
    color: #fff;
    font-size: 14px;
    font-weight: 700;
    border-bottom: 1px solid #eee;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    height: 28px;
}

    .HamburgerMenuItem:hover {
        cursor: pointer;
    }

.HamburgerText {
    display: block;
    margin-top: 10px;
}

    .HamburgerText i {
        margin-right: 10px;
        font-size: 15px;
    }

#HamburgerScreen {
    height: 100%;
    width: 100%;
    background-color: #eee;
    opacity: .5;
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 880;
    display: none;
}

.HeaderOffline {
    background-color: #999 !important;
}

#SettingWrapperDialog {
    position: fixed;
    top: 5%;
    left: 15%;
    z-index: 2000;
    width: 70%;
    /*height: 680px;*/
    padding: 0px !important;
    border: 1px solid #ababab;
}

#SettingsDialogContent {
    margin: 10px 0 10px 10px;
    min-height: 650px;
    max-height: 720px;
    overflow-y: scroll;
}

    /* Main Calendar Scroller */
    #SettingsDialogContent::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        /*border-radius: 6px;*/
        background-color: #F5F5F5;
    }

    #SettingsDialogContent::-webkit-scrollbar {
        width: 8px;
        background-color: #F5F5F5;
    }

    #SettingsDialogContent::-webkit-scrollbar-thumb {
        /*border-radius: 6px;*/
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: rgba(25, 118, 210, 1);
    }

    #SettingsDialogContent table tr:hover {
        background-color: #ddd;
    }

#HeaderBar_CompanyName {
    color: #fff;
    padding: 7px;
    /*width: 250px;*/
    float: left;
}

.UserTable {
    width: 100%;
    border-collapse: collapse;
}

    .UserTable thead {
        background-color: #1976D2;
        color: #ffffff;
    }

    .UserTable th, td {
        border-bottom: 1px solid #ddd; /* Adds a horizontal line (adjust color/style as needed) */
        border-right: none; /* Explicitly removes the vertical border for all cells */
        padding: 10px; /* Optional: adds space between content and borders */
        text-align: left; /* Optional: aligns text to the left */
    }


.HamburgerMenuButton {
    width: 90%;
    border-bottom: solid 1px #fff;
    padding-top: 15px !important;
    padding-bottom: 6px !important;
    text-align: center;
    float: left;
    margin-left: 17px;
    background-color: #1976D2 !important;
}

    .HamburgerMenuButton:hover {
        background-color: rgba(240, 240, 240, 0.15) !important
    }



.ui-dropdownchecklist {
    width: 100%;
    margin-top: 5px;
    padding-top: 5px;
    height: 40px;
}

.ui-dropdownchecklist-dropcontainer {
    overflow-y: scroll;
    /*height: 1352px;*/
    max-height: 60vh;
    overflow-x: hidden;
}

.ui-dropdownchecklist-dropcontainer-wrapper {
    width: auto;
}

.ui-dropdownchecklist-item {
    padding: 5px;
    border: none !important;
    border-bottom: solid 1px #fff !important;
    font-size: 13px !important;
    font-family: Arial !important;
    background: none !important;
}

.ui-dropdownchecklist-text {
    height: 20px !important;
    color: #000;
    background-color: #fff;
    font-weight: normal;
    padding-left: 5px;
    font-size: 13px !important;
    font-family: Arial !important;
    height: 20px !important;
    padding-top: 8px !important;
}

.ui-state-hover {
    background: none !important;
    border: solid #ddd 1px !important;
    border-bottom: solid 1px #000 !important;
    color: rgb(0, 115, 234) !important;
}

/* Main Calendar Scroller */
.ui-dropdownchecklist-dropcontainer::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    /*border-radius: 6px;*/
    background-color: #F5F5F5;
}

.ui-dropdownchecklist-dropcontainer::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

.ui-dropdownchecklist-dropcontainer::-webkit-scrollbar-thumb {
    /*border-radius: 6px;*/
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rgba(25, 118, 210, 1);
}

.UserInputRow select {
    width: 250px;
}


#LoginContent {
    padding: 5px;
}

.SettingsLineDropDown {
    width: 200px;
}

.WebHookItemDiv {
    min-width: 120px;
    height: 50px;
    border: solid 1px #777;
    padding: 10px;
    float: left;
    margin: 10px;
}

    .WebHookItemDiv label {
        text-align: center;
        width: 100%;
        display: block;
    }

.SuccessWebHookItemDiv {
    background-color: rgb(46, 224, 171);
    border-radius: 5px;
}

.FailureWebHookItemDiv {
    background-color: #f00;
}

#HeaderMiddlePanel {
    /*height: 50px;*/
    /*background-color: #f00;*/
    /*width: 100px;*/
    display: flex;
    justify-content: center;
}

    #HeaderMiddlePanel button {
        width: 45px;
        /*border-left: solid 1px #fff;
        border-right: solid 1px #fff;*/
        border-bottom: solid 2px #fff;
        height: 36px;
        margin-top: 2px;
        font-size: 18px;
        /*margin-right: 0px;*/
    }

        #HeaderMiddlePanel button:hover {
            background-color: #fff !important;
            color: #00f !important;
        }


.SchedulerContentPageHeader {
    font-size: 18px;
    font-weight: bold;
    width: 100%;
    display: block;
}

.SchedulerContentFieldHeader {
    min-width: 150px;
    display: block;
    float: left;
    padding-top: 5px;
}

.SchedulerContentFieldValue {
    min-width: 250px;
    display: block;
    float: left;
}

#TimesheetDatesCollection{
    width: 100%;
    float: left;
    margin-bottom: 2px;
}

.SettingsDialogContentLoading{
    width: 96%;
    text-align: center;
    margin-top: 24%;
}